Summary:	OpenKiosk central server containing the client information database 
Name:		nodeview
Version:	2.0
Release:	1mdk
License:	GPL
Group:		Networking/Other
URL:		http://openkiosk.sourceforge.net			
Source0:	http://prdownloads.sourceforge.net/openkiosk/%{name}_%{version}.tar.bz2
Source1:	nodeview-48x48.png
Patch1:		nodeview-2.0-fix-compile.patch.bz2
BuildRequires:	db4.2-devel
BuildRequires:	qt3-devel
BuildRequires:	ImageMagick
BuildRequires:	kdelibs-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot-%{version}
	
%description
The Openkiosk system is basically composed of two parts. The first program 
is called NodeView. It acts as the OpenKiosk central server containing the 
client information database. It is responsible for administering all the 
clients on the network either automatically or manually. Monitoring and 
controlling the workstations can be done locally via the graphical user 
interfaces or remotely from a Java Applet in a browser.

The client application that goes with nodeview is call kdex11client.

%prep

%setup -q
%patch1 -p1 -b .fix_compile

%build
sed -i 's|usr/local|usr|g' configure
sed -i 's|${PREFIX:22}|4.2|' configure

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std INSTALL_ROOT=$RPM_BUILD_ROOT

install -d %{buildroot}%{_liconsdir}
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_miconsdir}

cp %{SOURCE1} .

install -m0644 nodeview-48x48.png %{buildroot}%{_liconsdir}/%{name}.png
convert -size 32x32 nodeview-48x48.png %{buildroot}%{_iconsdir}/%{name}.png
convert -size 16x16 nodeview-48x48.png %{buildroot}%{_miconsdir}/%{name}.png

install -d %{buildroot}/%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
 command="%{_bindir}/%{name}" \
 title="NodeView" \
 longtitle="The central control program of the OpenKiosk system" \
 needs="x11" \
 icon="%{name}.png" \
 section="System/Configuration/Networking"
EOF



%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog README* docs/*
%{_bindir}/%{name}
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Thu Jul 07 2005 Laurent MONTEL <lmontel@mandriva.com> 2.0-1mdk
- 2.0

* Tue Apr 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.3-2mdk
- merge stuff from the Corporate Club package

* Thu Mar 17 2005 Stew Benedict <sbenedict@mandrakesoft.com> 0.8.3-1mdk
- first Mandrakelinux packaging
